#ifndef WIME_LIBWIME_H
#define WIME_LIBWIME_H

#include <stdbool.h>

enum{
    IM_ST_NO_ERROR
};

int ImInit(unsigned socket_num);
int ImSelect(void);
int ImRead(void *buf,int len);
bool ImWrite(const void *buf,int len);
int ImDisconnect(void);
void ImReadSetting(void *globaldata);
int ImCloseAll(void);

typedef int (*PROT_INIT)(unsigned);
typedef int (*PROT_RD)(void*,int);
typedef bool (*PROT_WR)(const void*,int);
typedef void (*PROT_READSETTING)(void*);
typedef int (*PROT_SEL)(void);
#endif
